gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.MapEntry

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype MapEntry = MapEntry (ManagedPtr MapEntry)
- noMapEntry :: Maybe MapEntry

# Exported types

newtype MapEntry Source #

Memory-managed wrapper type.

Constructors

MapEntry (ManagedPtr MapEntry) |

Instances

WrappedPtr MapEntry Source # |
Instance details Defined in GI.Pango.Structs.MapEntry Methods wrappedPtrCalloc :: IO (Ptr MapEntry) Source # wrappedPtrCopy :: MapEntry -> IO MapEntry Source # wrappedPtrFree :: Maybe (FunPtr (Ptr MapEntry -> IO ())) Source #

noMapEntry :: Maybe MapEntry Source #

A convenience alias for `Nothing` :: `Maybe` `MapEntry`.